%global momorel 1
%global program1name enfuse
%global srcname %{name}-%{program1name}

Summary: Image Blending with Multiresolution Splines
Name: enblend
Version: 3.2
Release: %{momorel}m%{?dist}
License: GPLv2+
URL: http://enblend.sourceforge.net/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/project/%{name}/%{srcname}/%{srcname}-%{version}/%{srcname}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: info
BuildRequires: OpenEXR-devel
BuildRequires: boost-devel
BuildRequires: freeglut-devel
BuildRequires: glew-devel
BuildRequires: lcms-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: plotutils-devel
BuildRequires: zlib-devel

%description
Enblend is a tool for compositing images. Given a set of images that overlap in
some irregular way, Enblend overlays them in such a way that the seam between
the images is invisible, or at least very difficult to see. Enblend does not
line up the images for you. Use a tool like hugin to do that.

%prep
%setup -q -n %{srcname}-%{version}

%build
%configure
%make 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of %%{_infodir}/dir
rm -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/%{program1name}-focus-stacking.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/%{program1name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
  /sbin/install-info --delete %{_infodir}/%{program1name}-focus-stacking.info %{_infodir}/dir || :
  /sbin/install-info --delete %{_infodir}/%{program1name}.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* TODO VIGRA_LICENSE
%{_bindir}/%{name}
%{_bindir}/%{program1name}
%{_infodir}/%{name}.info*
%{_infodir}/%{program1name}-focus-stacking.info*
%{_infodir}/%{program1name}.info*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{program1name}.1*

%changelog
* Sun Dec  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.2-1m)
- initial package for hugin-2009.2.0
